Page MenuHomePhabricator

ContentTranslation source loader doesn't have complete handling for invalid titles
Closed, ResolvedPublic1 Story Points

Description

The code in ext.cx.source.js says:

title = mw.Title.newFromText( mw.cx.sourceTitle );

if ( title ) {
    mw.cx.sourceTitle = title.getPrefixedText();
}

It looks like the case of invalid title is silently ignored.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterHandle invalid title when loading the source

Event Timeline

Amire80 created this task.Sep 4 2015, 5:29 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2015, 5:29 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 5 2015, 2:40 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 5:52 PM

Change 245583 had a related patch set uploaded (by Amire80):
Handle invalid title when loading the source

https://gerrit.wikimedia.org/r/245583

See T115315 for a similar issue on the server side.

Amire80 moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.Oct 14 2015, 10:48 AM

Change 245583 merged by jenkins-bot:
Handle invalid title when loading the source

https://gerrit.wikimedia.org/r/245583

Amire80 moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 20 2015, 6:55 AM
Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Oct 21 2015, 6:16 AM
Amire80 closed this task as Resolved.Oct 23 2015, 5:24 PM
Amire80 edited a custom field.Oct 24 2015, 12:47 PM